
from Ft.Ods import Constants


class DictionaryLiteralValueMixin:


    def _4ods_unprepareValue(self,value):
        Constants.g_typeCheck[self._subType](value,self._subRepoId)
        return value._4ods_getData()

    def _4ods_prepareValue(self,value):
        return self._tx._4ods_createLiteralInstance(self._subType,self._subRepoId,value)

    def _4ods_initValueValues(self):
        pass

    def _4ods_prepareValueChanges(self):
        pass

    def values(self):
        return map(lambda x,f=self._4ods_prepareValue:f(x),self._values.values())

